/* ============================================================
 * File  : channeleditor.h
 * Author: Alvaro Gonzalez Sola <cojonuo@gmail.com>
 * Date  : 2008-08-18
 * Description :
 *
 * Interface to edit channels
 *
 * Copyright 2008 by Alvaro Gonzalez Sola
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published bythe Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef CHANNELSEDITOR_H
#define CHANNELSEDITOR_H

#include <mythtv/libmythui/mythscreentype.h>
#include <mythtv/libmythui/mythuitext.h>
#include <mythtv/libmythui/mythuitextedit.h>
#include <mythtv/libmythui/mythlistbutton.h>
#include <mythtv/libmythui/mythuibuttonlist.h>
#include <mythtv/libmythui/mythuiimage.h>
#include <mythtv/libmythui/mythdialogbox.h>
#include <mythtv/libmythui/mythprogressdialog.h>
#include <mythtv/httpcomms.h>

#include <qstring.h>
#include <QHash>

#include "tubevideo.h"
#include "mythtubescreen.h"
#include "channel.h"

class ChannelsEditor : public MythScreenType
{

Q_OBJECT

public:

    ChannelsEditor(Channel *channel, bool edit, MythScreenStack *parent,
                   const char *name);
    ~ChannelsEditor();

    bool Create();
    bool keyPressEvent(QKeyEvent *event);

private:

    Channel *m_channel;
    QString m_channelName;
    bool m_editing;

    MythUIText *m_titleText;
    MythUIText *m_nameLabelText;
    MythUIText *m_urlLabelText;

    MythUITextEdit *m_nameEdit;
    MythUITextEdit *m_urlEdit;

    MythUIButton *m_okButton;
    MythUIButton *m_cancelButton;

private slots:

    void Save(void);
    void Exit(void);

};

#endif
